Multivariate Pattern Analysis in Python

# mvpa2.kernels.sg.PrecomputedSGKernel

class `mvpa2.kernels.sg.``PrecomputedSGKernel`(matrix=None, **kwargs)

  A kernel which is precomputed from a numpy array or a Shogun kernel

  Attributes

  `descr` | Description of the object if any

  Methods

  `as_raw_sg`() |
  `as_sg`() |
  `compute`(*args, **kwargs) | ‘Compute’ `PrecomputedSGKernel` – no actual “computation” is done

  Initialize PrecomputedSGKernel

  Parameters:

  matrix : SGKernel or Kernel or ndarray

  > Kernel matrix to be used

  Attributes

  `descr` | Description of the object if any

  Methods

  `as_raw_sg`() |
  `as_sg`() |
  `compute`(*args, **kwargs) | ‘Compute’ `PrecomputedSGKernel` – no actual “computation” is done

  `compute`(*args, **kwargs)

    ‘Compute’ `PrecomputedSGKernel` – no actual “computation” is done